## eggdrop 1.6.19

=== Makefile ===
all:
	@echo ""
	@echo "Before you can compile your bot you have to configure it."
	@echo "Please start the configure script now:"
	@echo ""
	@echo " % ./configure"
	@echo ""

=== src/mod/assoc.mod/Makefile ===
# Makefile for src/mod/assoc.mod/
# $Id: Makefile,v 1.17 2005-12-09 09:29:11 wcc Exp $

srcdir = .


doofus:
	@echo ""
	@echo "Let's try this from the right directory..."
	@echo ""
	@cd ../../../ && make

static: ../assoc.o

modules: ../../../assoc.$(MOD_EXT)

../assoc.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/assoc.c
	@rm -f ../assoc.o
	mv assoc.o ../

../../../assoc.$(MOD_EXT): ../assoc.o
	$(LD) -o ../../../assoc.$(MOD_EXT) ../assoc.o $(XLIBS) $(MODULE_XLIBS)
	$(STRIP) ../../../assoc.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/assoc.c -MT ../assoc.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../assoc.o: .././assoc.mod/assoc.c ../../../src/mod/module.h \
  ../../../src/main.h ../../../config.h ../../../lush.h \
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
  ../../../src/compat/inet_aton.h ../../../src/main.h \
  ../../../src/compat/snprintf.h ../../../src/compat/memset.h \
  ../../../src/compat/memcpy.h ../../../src/compat/strcasecmp.h \
  ../../../src/compat/strftime.h ../../../src/mod/modvals.h \
  ../../../src/tandem.h ../../../src/tandem.h .././assoc.mod/assoc.h

=== src/mod/blowfish.mod/Makefile ===
# Makefile for src/mod/blowfish.mod/
# $Id: Makefile,v 1.16 2005-12-09 09:29:11 wcc Exp $

srcdir = .


doofus:
	@echo ""
	@echo "Let's try this from the right directory..."
	@echo ""
	@cd ../../../ && make

static: ../blowfish.o

modules: ../../../blowfish.$(MOD_EXT)

../blowfish.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/blowfish.c
	@rm -f ../blowfish.o
	mv blowfish.o ../

../../../blowfish.$(MOD_EXT): ../blowfish.o
	$(LD) -o ../../../blowfish.$(MOD_EXT) ../blowfish.o $(XLIBS) $(MODULE_XLIBS)
	$(STRIP) ../../../blowfish.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/blowfish.c -MT ../blowfish.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../blowfish.o: .././blowfish.mod/blowfish.c ../../../src/mod/module.h \
  ../../../src/main.h ../../../config.h ../../../lush.h \
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
  ../../../src/compat/inet_aton.h ../../../src/main.h \
  ../../../src/compat/snprintf.h ../../../src/compat/memset.h \
  ../../../src/compat/memcpy.h ../../../src/compat/strcasecmp.h \
  ../../../src/compat/strftime.h ../../../src/mod/modvals.h \
  ../../../src/tandem.h .././blowfish.mod/blowfish.h \
  .././blowfish.mod/bf_tab.h

=== src/mod/channels.mod/Makefile ===
# Makefile for src/mod/channels.mod/
# $Id: Makefile,v 1.17 2005-12-09 09:29:11 wcc Exp $

srcdir = .


doofus:
	@echo ""
	@echo "Let's try this from the right directory..."
	@echo ""
	@cd ../../../ && make

static: ../channels.o

modules: ../../../channels.$(MOD_EXT)

../channels.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/channels.c
	@rm -f ../channels.o
	mv channels.o ../

../../../channels.$(MOD_EXT): ../channels.o
	$(LD) -o ../../../channels.$(MOD_EXT) ../channels.o $(XLIBS) $(MODULE_XLIBS)
	$(STRIP) ../../../channels.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/channels.c -MT ../channels.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../channels.o: .././channels.mod/channels.c ../../../src/mod/module.h \
  ../../../src/main.h ../../../config.h ../../../lush.h \
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
  ../../../src/compat/inet_aton.h ../../../src/main.h \
  ../../../src/compat/snprintf.h ../../../src/compat/memset.h \
  ../../../src/compat/memcpy.h ../../../src/compat/strcasecmp.h \
  ../../../src/compat/strftime.h ../../../src/mod/modvals.h \
  ../../../src/tandem.h .././channels.mod/channels.h \
  .././channels.mod/cmdschan.c .././channels.mod/tclchan.c \
  .././channels.mod/userchan.c .././channels.mod/udefchan.c

=== src/mod/console.mod/Makefile ===
# Makefile for src/mod/console.mod/
# $Id: Makefile,v 1.19 2005-12-09 09:29:11 wcc Exp $

srcdir = .


doofus:
	@echo ""
	@echo "Let's try this from the right directory..."
	@echo ""
	@cd ../../../ && make

static: ../console.o

modules: ../../../console.$(MOD_EXT)

../console.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/console.c
	@rm -f ../console.o
	mv console.o ../

../../../console.$(MOD_EXT): ../console.o
	$(LD) -o ../../../console.$(MOD_EXT) ../console.o $(XLIBS) $(MODULE_XLIBS)
	$(STRIP) ../../../console.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/console.c -MT ../console.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../console.o: .././console.mod/console.c ../../../src/mod/module.h \
  ../../../src/main.h ../../../config.h ../../../lush.h \
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
  ../../../src/compat/inet_aton.h ../../../src/main.h \
  ../../../src/compat/snprintf.h ../../../src/compat/memset.h \
  ../../../src/compat/memcpy.h ../../../src/compat/strcasecmp.h \
  ../../../src/compat/strftime.h ../../../src/mod/modvals.h \
  ../../../src/tandem.h .././console.mod/console.h

=== src/mod/ctcp.mod/Makefile ===
# Makefile for src/mod/ctcp.mod/
# $Id: Makefile,v 1.16 2005-12-09 09:29:11 wcc Exp $

srcdir = .


doofus:
	@echo ""
	@echo "Let's try this from the right directory..."
	@echo ""
	@cd ../../../ && make

static: ../ctcp.o

modules: ../../../ctcp.$(MOD_EXT)

../ctcp.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/ctcp.c
	@rm -f ../ctcp.o
	mv ctcp.o ../

../../../ctcp.$(MOD_EXT): ../ctcp.o
	$(LD) -o ../../../ctcp.$(MOD_EXT) ../ctcp.o $(XLIBS) $(MODULE_XLIBS)
	$(STRIP) ../../../ctcp.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/ctcp.c -MT ../ctcp.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../ctcp.o: .././ctcp.mod/ctcp.c .././ctcp.mod/ctcp.h \
  ../../../src/mod/module.h ../../../src/main.h ../../../config.h \
  ../../../lush.h ../../../src/lang.h ../../../src/eggdrop.h \
  ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
  ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
  ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
  ../../../src/main.h ../../../src/compat/snprintf.h \
  ../../../src/compat/memset.h ../../../src/compat/memcpy.h \
  ../../../src/compat/strcasecmp.h ../../../src/compat/strftime.h \
  ../../../src/mod/modvals.h ../../../src/tandem.h \
  ../../../src/mod/server.mod/server.h

=== src/mod/filesys.mod/Makefile ===
# Makefile for src/mod/filesys.mod/
# $Id: Makefile,v 1.20 2005-12-09 09:29:11 wcc Exp $

srcdir = .


doofus:
	@echo ""
	@echo "Let's try this from the right directory..."
	@echo ""
	@cd ../../../ && make

static: ../filesys.o

modules: ../../../filesys.$(MOD_EXT)

../filesys.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/filesys.c
	@rm -f ../filesys.o
	mv filesys.o ../

../../../filesys.$(MOD_EXT): ../filesys.o
	$(LD) -o ../../../filesys.$(MOD_EXT) ../filesys.o $(XLIBS) $(MODULE_XLIBS)
	$(STRIP) ../../../filesys.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/filesys.c -MT ../filesys.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../filesys.o: .././filesys.mod/filesys.c ../../../src/mod/module.h \
  ../../../src/main.h ../../../config.h ../../../lush.h \
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
  ../../../src/compat/inet_aton.h ../../../src/main.h \
  ../../../src/compat/snprintf.h ../../../src/compat/memset.h \
  ../../../src/compat/memcpy.h ../../../src/compat/strcasecmp.h \
  ../../../src/compat/strftime.h ../../../src/mod/modvals.h \
  ../../../src/tandem.h .././filesys.mod/filedb3.h \
  .././filesys.mod/filesys.h ../../../src/lang.h \
  ../../../src/mod/transfer.mod/transfer.h ../../../src/tandem.h \
  .././filesys.mod/files.h .././filesys.mod/dbcompat.h \
  .././filesys.mod/filelist.h .././filesys.mod/files.c \
  ../../../src/stat.h .././filesys.mod/filedb3.c \
  .././filesys.mod/tclfiles.c .././filesys.mod/dbcompat.c \
  .././filesys.mod/filelist.c

=== src/mod/irc.mod/Makefile ===
# Makefile for src/mod/irc.mod/
# $Id: Makefile,v 1.16 2005-12-09 09:29:11 wcc Exp $

srcdir = .


doofus:
	@echo ""
	@echo "Let's try this from the right directory..."
	@echo ""
	@cd ../../../ && make

static: ../irc.o

modules: ../../../irc.$(MOD_EXT)

../irc.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/irc.c
	@rm -f ../irc.o
	mv irc.o ../

../../../irc.$(MOD_EXT): ../irc.o
	$(LD) -o ../../../irc.$(MOD_EXT) ../irc.o $(XLIBS) $(MODULE_XLIBS)
	$(STRIP) ../../../irc.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/irc.c -MT ../irc.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../irc.o: .././irc.mod/irc.c ../../../src/mod/module.h \
  ../../../src/main.h ../../../config.h ../../../lush.h \
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
  ../../../src/compat/inet_aton.h ../../../src/main.h \
  ../../../src/compat/snprintf.h ../../../src/compat/memset.h \
  ../../../src/compat/memcpy.h ../../../src/compat/strcasecmp.h \
  ../../../src/compat/strftime.h ../../../src/mod/modvals.h \
  ../../../src/tandem.h .././irc.mod/irc.h \
  ../../../src/mod/server.mod/server.h \
  ../../../src/mod/channels.mod/channels.h .././irc.mod/chan.c \
  .././irc.mod/mode.c .././irc.mod/cmdsirc.c .././irc.mod/msgcmds.c \
  .././irc.mod/tclirc.c

=== src/mod/notes.mod/Makefile ===
# Makefile for src/mod/notes.mod
# $Id: Makefile,v 1.17 2005-12-09 09:29:11 wcc Exp $

srcdir = .


doofus:
	@echo ""
	@echo "Let's try this from the right directory..."
	@echo ""
	@cd ../../../ && make

static: ../notes.o

modules: ../../../notes.$(MOD_EXT)

../notes.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/notes.c
	@rm -f ../notes.o
	mv notes.o ../

../../../notes.$(MOD_EXT): ../notes.o
	$(LD) -o ../../../notes.$(MOD_EXT) ../notes.o $(XLIBS) $(MODULE_XLIBS)
	$(STRIP) ../../../notes.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/notes.c -MT ../notes.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../notes.o: .././notes.mod/notes.c ../../../src/mod/module.h \
  ../../../src/main.h ../../../config.h ../../../lush.h \
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
  ../../../src/compat/inet_aton.h ../../../src/main.h \
  ../../../src/compat/snprintf.h ../../../src/compat/memset.h \
  ../../../src/compat/memcpy.h ../../../src/compat/strcasecmp.h \
  ../../../src/compat/strftime.h ../../../src/mod/modvals.h \
  ../../../src/tandem.h ../../../src/tandem.h .././notes.mod/notes.h \
  .././notes.mod/cmdsnote.c

=== src/mod/seen.mod/Makefile ===
# Makefile for src/mod/seen.mod/
# $Id: Makefile,v 1.16 2005-12-09 09:29:11 wcc Exp $

srcdir = .


doofus:
	@echo ""
	@echo "Let's try this from the right directory..."
	@echo ""
	@cd ../../../ && make

static: ../seen.o

modules: ../../../seen.$(MOD_EXT)

../seen.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/seen.c
	@rm -f ../seen.o
	mv seen.o ../

../../../seen.$(MOD_EXT): ../seen.o
	$(LD) -o ../../../seen.$(MOD_EXT) ../seen.o $(XLIBS) $(MODULE_XLIBS)
	$(STRIP) ../../../seen.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/seen.c -MT ../seen.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../seen.o: .././seen.mod/seen.c ../../../src/mod/module.h \
  ../../../src/main.h ../../../config.h ../../../lush.h \
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
  ../../../src/compat/inet_aton.h ../../../src/main.h \
  ../../../src/compat/snprintf.h ../../../src/compat/memset.h \
  ../../../src/compat/memcpy.h ../../../src/compat/strcasecmp.h \
  ../../../src/compat/strftime.h ../../../src/mod/modvals.h \
  ../../../src/tandem.h ../../../src/users.h ../../../src/chan.h \
  ../../../src/mod/channels.mod/channels.h

=== src/mod/server.mod/Makefile ===
# Makefile for src/mod/server.mod/
# $Id: Makefile,v 1.17 2005-12-09 09:29:11 wcc Exp $

srcdir = .


doofus:
	@echo ""
	@echo "Let's try this from the right directory..."
	@echo ""
	@cd ../../../ && make

static: ../server.o

modules: ../../../server.$(MOD_EXT)

../server.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/server.c
	@rm -f ../server.o
	mv server.o ../

../../../server.$(MOD_EXT): ../server.o
	$(LD) -o ../../../server.$(MOD_EXT) ../server.o $(XLIBS) $(MODULE_XLIBS)
	$(STRIP) ../../../server.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/server.c -MT ../server.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../server.o: .././server.mod/server.c ../../../src/mod/module.h \
  ../../../src/main.h ../../../config.h ../../../lush.h \
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
  ../../../src/compat/inet_aton.h ../../../src/main.h \
  ../../../src/compat/snprintf.h ../../../src/compat/memset.h \
  ../../../src/compat/memcpy.h ../../../src/compat/strcasecmp.h \
  ../../../src/compat/strftime.h ../../../src/mod/modvals.h \
  ../../../src/tandem.h .././server.mod/server.h \
  .././server.mod/servmsg.c .././server.mod/cmdsserv.c \
  .././server.mod/tclserv.c

=== src/mod/share.mod/Makefile ===
# Makefile for src/mod/share.mod/
# $Id: Makefile,v 1.17 2005-12-09 09:29:11 wcc Exp $

srcdir = .


doofus:
	@echo ""
	@echo "Let's try this from the right directory..."
	@echo ""
	@cd ../../../ && make

static: ../share.o

modules: ../../../share.$(MOD_EXT)

../share.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/share.c
	@rm -f ../share.o
	mv share.o ../

../../../share.$(MOD_EXT): ../share.o
	$(LD) -o ../../../share.$(MOD_EXT) ../share.o $(XLIBS) $(MODULE_XLIBS)
	$(STRIP) ../../../share.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/share.c -MT ../share.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../share.o: .././share.mod/share.c ../../../src/mod/module.h \
  ../../../src/main.h ../../../config.h ../../../lush.h \
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
  ../../../src/compat/inet_aton.h ../../../src/main.h \
  ../../../src/compat/snprintf.h ../../../src/compat/memset.h \
  ../../../src/compat/memcpy.h ../../../src/compat/strcasecmp.h \
  ../../../src/compat/strftime.h ../../../src/mod/modvals.h \
  ../../../src/tandem.h ../../../src/chan.h ../../../src/users.h \
  ../../../src/mod/transfer.mod/transfer.h \
  ../../../src/mod/channels.mod/channels.h .././share.mod/share.h \
  .././share.mod/uf_features.c

## eggdrop 1.6.20

=== src/mod/assoc.mod/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for src/mod/assoc.mod/
-# $Id: Makefile,v 1.17 2005-12-09 09:29:11 wcc Exp $
+# $Id: Makefile,v 1.17 2005/12/09 09:29:11 wcc Exp $
 
 srcdir = .

=== src/mod/blowfish.mod/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for src/mod/blowfish.mod/
-# $Id: Makefile,v 1.16 2005-12-09 09:29:11 wcc Exp $
+# $Id: Makefile,v 1.16 2005/12/09 09:29:11 wcc Exp $
 
 srcdir = .

=== src/mod/channels.mod/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for src/mod/channels.mod/
-# $Id: Makefile,v 1.17 2005-12-09 09:29:11 wcc Exp $
+# $Id: Makefile,v 1.17 2005/12/09 09:29:11 wcc Exp $
 
 srcdir = .

=== src/mod/console.mod/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for src/mod/console.mod/
-# $Id: Makefile,v 1.19 2005-12-09 09:29:11 wcc Exp $
+# $Id: Makefile,v 1.19 2005/12/09 09:29:11 wcc Exp $
 
 srcdir = .

=== src/mod/ctcp.mod/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for src/mod/ctcp.mod/
-# $Id: Makefile,v 1.16 2005-12-09 09:29:11 wcc Exp $
+# $Id: Makefile,v 1.16 2005/12/09 09:29:11 wcc Exp $
 
 srcdir = .

=== src/mod/filesys.mod/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for src/mod/filesys.mod/
-# $Id: Makefile,v 1.20 2005-12-09 09:29:11 wcc Exp $
+# $Id: Makefile,v 1.20 2005/12/09 09:29:11 wcc Exp $
 
 srcdir = .

=== src/mod/irc.mod/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for src/mod/irc.mod/
-# $Id: Makefile,v 1.16 2005-12-09 09:29:11 wcc Exp $
+# $Id: Makefile,v 1.16 2005/12/09 09:29:11 wcc Exp $
 
 srcdir = .

=== src/mod/notes.mod/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for src/mod/notes.mod
-# $Id: Makefile,v 1.17 2005-12-09 09:29:11 wcc Exp $
+# $Id: Makefile,v 1.17 2005/12/09 09:29:11 wcc Exp $
 
 srcdir = .

=== src/mod/seen.mod/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for src/mod/seen.mod/
-# $Id: Makefile,v 1.16 2005-12-09 09:29:11 wcc Exp $
+# $Id: Makefile,v 1.16 2005/12/09 09:29:11 wcc Exp $
 
 srcdir = .

=== src/mod/server.mod/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for src/mod/server.mod/
-# $Id: Makefile,v 1.17 2005-12-09 09:29:11 wcc Exp $
+# $Id: Makefile,v 1.17 2005/12/09 09:29:11 wcc Exp $
 
 srcdir = .

=== src/mod/share.mod/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for src/mod/share.mod/
-# $Id: Makefile,v 1.17 2005-12-09 09:29:11 wcc Exp $
+# $Id: Makefile,v 1.17 2005/12/09 09:29:11 wcc Exp $
 
 srcdir = .

=== src/mod/transfer.mod/Makefile ===
# Makefile for src/mod/transfer.mod/
# $Id: Makefile,v 1.17 2005/12/09 09:29:11 wcc Exp $

srcdir = .


doofus:
	@echo ""
	@echo "Let's try this from the right directory..."
	@echo ""
	@cd ../../../ && make

static: ../transfer.o

modules: ../../../transfer.$(MOD_EXT)

../transfer.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/transfer.c
	@rm -f ../transfer.o
	mv transfer.o ../

../../../transfer.$(MOD_EXT): ../transfer.o
	$(LD) -o ../../../transfer.$(MOD_EXT) ../transfer.o $(XLIBS) $(MODULE_XLIBS)
	$(STRIP) ../../../transfer.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/transfer.c -MT ../transfer.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../transfer.o: .././transfer.mod/transfer.c ../../../src/mod/module.h \
  ../../../src/main.h ../../../config.h ../../../lush.h \
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
  ../../../src/compat/inet_aton.h ../../../src/main.h \
  ../../../src/compat/snprintf.h ../../../src/compat/memset.h \
  ../../../src/compat/memcpy.h ../../../src/compat/strcasecmp.h \
  ../../../src/compat/strftime.h ../../../src/mod/modvals.h \
  ../../../src/tandem.h ../../../src/tandem.h ../../../src/users.h \
  .././transfer.mod/transfer.h .././transfer.mod/transferfstat.c \
  .././transfer.mod/transferqueue.c .././transfer.mod/tcltransfer.c

=== debian/changelog ===
eggdrop (1.6.20-1) unstable; urgency=high

  * NMUs acknowledged; thanks guys!
  
  * Switched to dpkg-source 3.0 (quilt) format.
    - Dropped CDBS's very handy simple-patchsys.mk.
  
  * With a new upstream release comes a pristine tarball (Closes: #550507).
    - debian/patches/00conf_paths.patch: updated.
    - debian/patches/01version.patch: dropped, fixed upstream.
    - debian/patches/02_incompCVE-2007-2807.patch: also fixed.
    - debian/eggdrop-data.docs: updated; some files were relocated.
  
  * debian/compat: debhelper compatibility level bumped to 8, in order to make
    lintian and debhelper itself happy. Build-dependencies updated accordingly.
  
  * debian/control:
    - bumped Standards-Version to 3.9.2, with no changes.
    - made some cosmetic changes to the Maintainer field.
    - added ${misc:Depends} to the dependencies of both packages. Unneeded for
      the time being, but who knows... (Closes: #512501).
  
  * debian/copyright: updated for the 2010 copyright notices.
  
  * debian/patches/01tcl8.5.10.patch: grabbed from upstream CVS in order to fix
    a startup crash caused by unexpected behaviour in Tcl 8.5.10 (which is
    already in testing, hence the urgency). Thanks to thommey, with our sincere
    apologies for lagging behind (Closes: #635274).
  
  * debian/rules:
    - No longer pass --enable-tcl-threads as an extra flag, this is now handled
      differently upstream.

 -- Guilherme de Siqueira Pastore <gpastore@debian.org>  Sun, 24 Jul 2011 13:46:59 -0300

eggdrop (1.6.19-1.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Apply upstream patch to fix incomplete patch for CVE-2007-2807,
    buffer can still overflow in case of strlen(ctcpbuf) returning
    zero (Closes: #427157).

 -- Nico Golde <nion@debian.org>  Fri, 15 May 2009 13:43:17 +0200

eggdrop (1.6.19-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use patch from Julian Mehnle <julian@mehnle.net> to enforce building
    egggrop with Tcl thread support. Thanks for the patch. (Closes: #487541)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 06 Sep 2008 21:19:08 +0200

eggdrop (1.6.19-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    - bumped Standards-Version to 3.7.3;
    - made "Homepage" a field in the source stanza;
    - changed the capitalization of "Tcl" in the package description to make
      lintian happy;
    - bumped build-dependency on Tcl to 8.5, as per upstream recommendation
      (Closes: #473035).

  * debian/copyright:
    - added appropriate copyright notices.

  * debian/patches:
    - 01version.patch: added; show the correct version number;
    - 01_CVE-2007-2807_srvmsg.patch: applied upstream, dropped.

 -- Guilherme de S. Pastore <gpastore@debian.org>  Fri, 30 May 2008 16:20:00 -0300

eggdrop (1.6.18-1.1) unstable; urgency=high

  * Non-maintainer upload by secure testing team.
  * Fix for CVE-2007-2807 (01_CVE-2007-2807_srvmsg.patch) (Closes: #427157).

 -- Nico Golde <nion@debian.org>  Sun, 12 Aug 2007 16:42:31 +0200

eggdrop (1.6.18-1) unstable; urgency=low

  * New upstream release (Closes: #369678).
    - debian/patches/00conf_paths.patch: updated.
  
  * debian/control:
    - updated maintainer address.
    - replace ${Source-Version} with ${source:Version}. Yay binNMUs!

  * debian/copyright: updated FSF's address.

 -- Guilherme de S. Pastore <gpastore@debian.org>  Fri,  1 Sep 2006 18:21:45 -0300

eggdrop (1.6.17-3) unstable; urgency=medium

  * Rewrote long description
  * 00conf_paths.patch:
    - Change file paths in example configuration file
      Thanks to Gustavo Noronha Silva <kov@debian.org>
  * Fixed mistake in README.Debian, once again due to the split up
    Thanks to Martin Braure de Calignon (Closes: #273933)
  
 -- Guilherme de S. Pastore <gpastore@colband.com.br>  Tue, 19 Oct 2004 01:57:51 -0200

eggdrop (1.6.17-2) unstable; urgency=high

  * Added versioned Replaces: for eggdrop (>= 1.6.16-2). In other words,
    for versions earlier to the split up, in order to allow smooth
    upgrades (Closes: #271079)

 -- Guilherme de S. Pastore <gpastore@colband.com.br>  Sun, 12 Sep 2004 10:04:02 -0300

eggdrop (1.6.17-1) unstable; urgency=low

  * New upstream release
    - debian/patches/eggdrop.1.diff incorporated upstream, removed.

 -- Guilherme de S. Pastore <gpastore@colband.com.br>  Wed, 25 Aug 2004 10:32:26 -0300

eggdrop (1.6.16-5) unstable; urgency=low

  * debian/control:
    - Updated to Standards-Version 3.6.1.1
  * debian/copyright:
    - Fixed lots of crazy alignment problems
  * debian/rules:
    - Included simple-patchsys.mk from CDBS
  * debian/patches/eggdrop.1.diff:
    - Fix error in manpage that prevented a line from being shown

 -- Guilherme de S. Pastore <gpastore@colband.com.br>  Tue, 27 Jul 2004 11:41:53 -0300

eggdrop (1.6.16-4) unstable; urgency=low

  * Fixed location of some files after split up
  * Fixed debian/rules so build doesn't fail if -B is passed
    to dpkg-buildpackage (Closes: #258418)

 -- Guilherme de S. Pastore <gpastore@colband.com.br>  Fri,  9 Jul 2004 10:55:48 -0300

eggdrop (1.6.16-3) unstable; urgency=low

  * Added Homepage to eggdrop's description
  * Split eggdrop into eggdrop and eggdrop-data
  * Changed paths on example configuration files

 -- Guilherme de S. Pastore <gpastore@colband.com.br>  Fri, 18 Jun 2004 09:30:35 -0300

eggdrop (1.6.16-2) unstable; urgency=high

  * Fixed typo on README.Debian
  * Fixed hyphens in manual page
  * Converted debian/rules to CDBS
  * Set path to binary on example config file
  * Changed LANGDIR on src/eggdrop.h (Closes: #254824)

 -- Guilherme de S. Pastore <gpastore@colband.com.br>  Thu, 17 Jun 2004 09:15:28 -0300

eggdrop (1.6.16-1) unstable; urgency=low

  * New upstream release
  * Cleaned up debian/rules and debian/watch
  * Compiled with HANDLEN 9 again (Closes: #241285)

 -- Guilherme de S. Pastore <gpastore@colband.com.br>  Thu,  3 Jun 2004 11:25:44 -0300



=== debian/control ===
Source: eggdrop
Section: net
Build-Depends: tcl8.5-dev, libz-dev, debhelper (>= 8), cdbs
Priority: extra
Maintainer: Guilherme de Siqueira Pastore <gpastore@debian.org>
Standards-Version: 3.9.2
Homepage: http://www.eggheads.org/

Package: eggdrop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, eggdrop-data (= ${source:Version})
Description: Advanced IRC Robot
 Eggdrop is an IRC bot written in C, which sits on channels and takes
 protective measures, such as preventing it from being taken over (in
 the few ways that anything can), recognizing banned users to reject
 them, recognizing privileged users to give them operator status,
 punishing users for things like flooding, among innumerable others.
 .
 All of this is completely configurable, and can be disabled or enabled
 as you wish in the configuration file. Also, it's very easy to expand
 and customize with Tcl scripts and C modules, making it possible to
 adapt Eggdrop to any special need you might have.

Package: eggdrop-data
Architecture: all
Replaces: eggdrop (>= 1.6.16-2)
Depends: ${misc:Depends}
Description: Architecture independent files for eggdrop
 This package contains all the files that eggdrop places on /usr/share.
 These files are not specific to a single processor architecture once
 the package is built, so a single package can serve all the archs
 Debian supports.
 .
 This package is not useful at all if eggdrop is not installed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_SCRIPT_ENV :=
DEB_INSTALL_MANPAGES_eggdrop-data := doc/man1/eggdrop.1
DEB_MAKE_INSTALL_TARGET := install prefix=$(DEB_DESTDIR)/usr

configure/eggdrop::
	$(MAKE) config

binary-post-install/eggdrop::
	cd debian/eggdrop/usr/bin && mv eggdrop-1.6.20 eggdrop

=== debian/watch ===
version=2
ftp://ftp.eggheads.org/pub/eggdrop/source/1.6/eggdrop(.*)\.tar\.gz debian uupdate
